{{- if not .text }}
  {{- errorf "Missing required 'text'. Partial: 'badge'." -}}
{{- end }}

{{- $prefix := .prefix -}}
{{- $text := .text -}}
{{- $theme := .theme | default "green" -}}
{{- $id := .id -}}
{{- $class := .class -}}
{{- $classTheme := "" -}}
{{- $svg := "" -}}

{{- with .icon }}
    {{- $svg = printf "svg/%s.svg" . -}}
    {{- $svg = partial $svg (dict "classTheme" "") -}}
    {{- $classTheme =  "" -}}
{{- end }}

{{- $dot := . -}}
{{- $href := .href -}}

{{/* Use verbose classTheme names for purgecss */}}
{{/*  {{- $textColor := index (dict "default" "text-raven-700" "base" "text-raven-900" "info" "text-blue-700" "warn" "text-yellow-700" "alert" "text-red-700") $theme -}}
{{- $bgColor := index (dict "default" "bg-raven-100" "base" "bg-white" "info" "bg-blue-100" "warn" "bg-yellow-100" "alert" "bg-red-100") $theme -}}
{{- $hoverColor := index (dict "default" "hover:bg-raven-200" "base" "hover:bg-raven-100" "info" "hover:bg-blue-200" "warn" "hover:bg-yellow-200" "alert" "hover:bg-red-200") $theme -}}
{{- $borderColor := index (dict "default" "" "base" "border border-raven-900" "info" "" "warn" "" "alert" "") $theme -}}
{{- $classTheme = printf "%s rounded font-content-sans font-semibold %s %s %s py-2 px-4 %s" $classTheme $textColor $bgColor $hoverColor $borderColor -}}
{{- $classTheme = trim $classTheme " " -}}  */}}



<div class="badge">
<div class="name">
    <span>
    {{ $prefix | safeHTML }}
    </span>
</div>
<div class="status {{ $theme }}">
    <span>
    {{ $text | safeHTML }}
    </span>
</div>
</div>
